.datepicker-switch{
    pointer-events: none;
}

.content_block{
    display:none;
}

.content_block.active{
    display:block;
}

.input_m{
    width:12.857em;
}

.input_s{
    width:6em;
}

.required label:before {
    padding: 0px 2px 0px 2px;
    content: "*";
    color: red;
}

.filter_block{
    display: flex!important;
    flex-wrap: wrap;
    align-items: center;
}

.filter_block div{
    margin:0.25em;
}

.btn_block{
    width: 100%;
    display: flex !important;
    justify-content: flex-end;
}

/* TXT map */
#xmap{
    position: absolute;
    z-index:1;
    height: inherit ! important;
}

#map_wrapper{
    border: 1px solid #3689ff;
    height: 76vh !important;
    margin: 0.714em;
}

#map_btn_tool,.leaflet-control-container{
    display:none;
}

.station_label{
    font-family: "微軟正黑體";
    background: #797979a6;
    width: max-content;
    font-weight: bolder;
    font-size: 1.143em;
    border-radius:0.571em;
    color: #fff;
    padding: 0.143em;
}

.sation_select{
    background:#ff0000a6 !important;
}

.legend_box {
    z-index: 100;
    margin:0.8em;
    position: absolute;
    border-radius:0.25em;
    font-weight: 500;
    font-size: 1em;
    line-height: 1.63;
    padding: 1.188em 1.438em;
    width: fit-content;
    height: fit-content;
    background-color: rgba(255, 255, 255, 0.9);
}

.dataset_nodata_info {
    color: red;
    font-weight: bold;
    margin-left: 20px;
}